Cannot install scala plugin in Juno

123 views
Skip to first unread message

Bakki Kudva

unread,
Oct 18, 2012, 5:34:18 PM10/18/12
to scal...@googlegroups.com
I am trying to install Scala+GWT in Eclipse according to the instructions on the github page. I  got Eclipse classic 4.2.1, installed the GPE, but when I try to install the scala plugin I get...

Cannot complete the install because one or more required items could not be found.
  Software being installed: Scala IDE for Eclipse 2.0.0.scalagwt-2_10-201111110109-e9c19fb (org.scala-ide.sdt.feature.feature.group 2.0.0.scalagwt-2_10-201111110109-e9c19fb)
  Missing requirement: Scala Plugin 2.0.0.scalagwt-2_10-201111110109-e9c19fb (org.scala-ide.sdt.core 2.0.0.scalagwt-2_10-201111110109-e9c19fb) requires 'bundle org.eclipse.jdt.core [3.6.0,3.7.10)' but it could not be found
  Cannot satisfy dependency:
    From: Scala IDE for Eclipse 2.0.0.scalagwt-2_10-201111110109-e9c19fb (org.scala-ide.sdt.feature.feature.group 2.0.0.scalagwt-2_10-201111110109-e9c19fb)
    To: org.scala-ide.sdt.core [2.0.0.scalagwt-2_10-201111110109-e9c19fb]

Googling for the error I found that the fix is to install the nightly build from the Scala-IDE site but then it is not the custom build for ScalaGWT. Is there a way around this? Thank you,

bakki

Ellis Breen

unread,
Oct 18, 2012, 5:44:40 PM10/18/12
to scal...@googlegroups.com
You have to build all the components yourself from the respective Github projects (scala-lang, scala-gwt etc etc):


Not got round to doing this myself yet, but others have (see https://groups.google.com/d/topic/scalagwt/0KinwWHPUAM/discussion ).

Bakki Kudva

unread,
Oct 20, 2012, 1:21:28 PM10/20/12
to scal...@googlegroups.com, ellis...@gmail.com
Ellis,

Thank you very much for both very useful links. I'll give it a shot.

bakki

lamvak

unread,
Jan 17, 2013, 10:33:07 PM1/17/13
to scal...@googlegroups.com
Any luck?
Reply all
Reply to author
Forward
0 new messages